Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.type
Class DerivedTimePeriod

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.type.SOMType
                  |
                  +--com.bea.schema.type.SOMElementalType
                        |
                        +--com.bea.schema.type.PrimitiveRecurringDuration
                              |
                              +--com.bea.schema.type.DerivedTimePeriod

Direct Known Subclasses:
  DerivedCentury, DerivedDate, DerivedMonth, DerivedYear

Deprecated. 3/16/2001

public class DerivedTimePeriod
extends PrimitiveRecurringDuration

timePeriod represents a specific period of time with a given start and end. The value space of timePeriod is the value space of Periods of time as defined in § 5.5 of [ISO 8601]. The base type of timePeriod is recurringDuration. timePeriod is generated from recurringDuration by fixing the value of the period facet equal to "P0Y" (no recurrence).

timePeriod has the following constraining facets:

time has the following constraining facets:

- duration
- period
- pattern
- enumeration
- whiteSpace
- maxInclusive
- maxExclusive
- minInclusive
- minExclusive

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  W3C XML Schema timePeriod, Serialized Form

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`DerivedTimePeriod()` Deprecated.

Method Summary
`java.lang.String` | `getID()` Deprecated.

Methods inherited from class com.bea.schema.type.PrimitiveRecurringDuration
`getAllowedFacets`

Methods inherited from class com.bea.schema.type.SOMElementalType
`createDefault, getTypeRestrictions, isSchemaChild, isValid`

Methods inherited from class com.bea.schema.type.SOMType
`getType, isElementalType, isUserDefinedType, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DerivedTimePeriod

    public DerivedTimePeriod()

  Deprecated.

Method Detail

### getID

    public java.lang.String getID()

  Deprecated.

  Overrides:
    getID in class PrimitiveRecurringDuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)